---
name: upload-image
description: Upload images to Banatie CDN. Use when user asks to upload an image, get CDN URL, or publish image to CDN. Supports JPEG, PNG, WebP.
argument-hint: <image-path>
---

# Upload Image to Banatie CDN

Upload images to the Banatie CDN and get the CDN URL.

## Requirements

- `BANATIE_API_KEY` in `.env` file
- Dependencies: tsx, form-data, dotenv

## Usage

```bash
tsx .claude/skills/upload-image/scripts/upload.ts <image-path>
```

## Output

- ID: unique image identifier
- URL: CDN URL for the image
- Size: dimensions (if available)

## Supported formats

JPEG, PNG, WebP
